[arch-commits] Commit in (xf86-video-geode xf86-video-geode/trunk/PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Apr 13 16:28:04 EDT 2009


    Date: Monday, April 13, 2009 @ 16:28:03
  Author: jgc
Revision: 35525

Rename package

Added:
  xf86-video-geode/
Modified:
  xf86-video-geode/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: xf86-video-geode/trunk/PKGBUILD
===================================================================
--- xf86-video-amd/trunk/PKGBUILD	2009-04-13 20:26:15 UTC (rev 35524)
+++ xf86-video-geode/trunk/PKGBUILD	2009-04-13 20:28:03 UTC (rev 35525)
@@ -1,7 +1,7 @@
 # $Id$
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
-pkgname=xf86-video-amd
-pkgver=2.7.7.7
+pkgname=xf86-video-geode
+pkgver=2.10.0
 pkgrel=1
 pkgdesc="X.org AMD/Geode LX & NX video driver"
 # there is no 64bit geode yet!
@@ -9,20 +9,20 @@
 license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
-conflicts=('xorg-server<1.4.99.906')
+makedepends=('pkgconfig' 'xorg-server>=1.6.0')
+conflicts=('xorg-server<1.6.0')
 options=('!libtool')
 groups=('xorg-video-drivers')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('2f3e8c3019afda926e7ab95b074c35e1')
+md5sums=('59f984ef5f9b4f6d883e844decbd6133')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr \
 	      --enable-visibility || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list